package com.tuoheng.admin.controller;

import com.tuoheng.admin.service.accidentread.IAccidentReadService;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 应急时间已读表 前端控制器
 * @Author ChengWang
 * @Date 2023/3/2
 */
@RestController
@RequestMapping("/accidentRead")
public class AccidentReadController {

    @Autowired
    private IAccidentReadService accidentReadService;

    /**
     * 应急记录已读数据保存
     * @return
     */
    @PostMapping("/add/{accidentId}")
    public JsonResult add(@PathVariable("accidentId") String accidentId){
        return accidentReadService.add(accidentId);
    }


}
