package com.tuoheng.admin.controller;

import com.baomidou.mybatisplus.extension.api.R;
import com.tuoheng.admin.service.accident.IAccidentService;
import com.tuoheng.admin.service.dspserviceinst.IDspServiceInstService;
import com.tuoheng.common.core.utils.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 事故前端控制器
 *
 * @Author ChengWang
 * @Date 2023/3/2
 */
@RestController
@RequestMapping("/dspServiceInst")
public class DspServiceInstController {

    @Autowired
    private IDspServiceInstService dspServiceInstService;

    /**
     * 查询算法实例列表等
     * @return
     */
    @GetMapping("/list")
    public JsonResult findList() {
        return dspServiceInstService.findList();
    }


}
