package com.tuoheng.admin.conver;

import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.vo.accident.AccidentVo;
import com.tuoheng.admin.vo.accident.EmergencyMissionVO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

import java.util.List;

@Mapper
public interface AccidentConverMapper {

    AccidentConverMapper INSTANCE = Mappers.getMapper(AccidentConverMapper.class);

    /**
     * accidentList 转化为 accidentVoList
     *
     * @param accidentList
     * @return
     */
    List<AccidentVo> accidentListToAccidentVoList(List<Accident> accidentList);

    List<EmergencyMissionVO> fromMissionListToEmergencyMissionVOList(List<Inspection> inspectionList);

}
