package com.tuoheng.admin.dto;

import lombok.Data;

/**
 * 天翼星云机场列表
 * @Author ChengWang
 * @Date 2023/8/9
 */
@Data
public class GetAirportListDto {

    /**
     * 海拔高度：绝对高度米
     */
    private Double alt;

    /**
     * 上级部门
     */
    private String ancestors;

    /**
     * 方舱备降点
     */
    private String backCoordinate;

    /**
     * 方舱位置坐标
     */
    private String coordinate;

    /**
     * 部门id
     */
    private Long deptId;

    /**
     * 部门名称
     */
    private String deptName;

    /**
     * 子设备在线状态
     */
    private String djiDeviceOnlineStatus;

    /**
     * 机库状态
     */
    private String djiDockModecode;

    /**
     * 电量百分比
     */
    private Integer djiDroneCapacityPercent;

    /**
     * 飞机充电状态
     */
    private Integer djiDroneChargeState;

    /**
     * 大疆机库任务状态
     */
    private String djiFlighttaskStepCode;

    /**
     * 真航向：方位  单位：度，取值范围:[0,360]
     */
    private Double head;

    /**
     * 方舱id
     */
    private Long id;

    /**
     * 方舱内推流地址
     */
    private String inPushUrl;

    /**
     * 方舱内播放视频
     */
    private String inPlayUrl;

    /**
     * 降落方式（1：RTK降落，2：视觉降落）
     */
    private Integer landingMode;

    /**
     * 方舱外推流视频
     */
    private String outPushUrl;

    /**
     * 方舱外播放视频
     */
    private String outPlayUrl;

    /**
     * 方舱序列号
     */
    private String serialNumber;

    /**
     * 方舱名称
     */
    private String shelterName;

    /**
     * 方舱状态（0：启用，1：禁用）
     */
    private Integer shelterStatus;

    /**
     * 方舱类型
     */
    private String shelterType;

    /**
     * 无人机id
     */
    private Long uavId;

    /**
     * 无人机名称
     */
    private String uavName;

    /**
     * 判断方舱是否空舱和离线  0离线，1占舱，2是空舱
     */
    private Integer usageStatus;



















}
