package com.tuoheng.admin.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.request.accident.QueryAccidentListRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @Author ChengWang
 * @Date 2023/3/2
 */
public interface AccidentMapper extends BaseMapper<Accident> {

    /**
     * 查询事故分页列表
     *
     * @param request 事故查询实体
     * @return 事故集合
     */
    List<Accident> selectAccidentList(@Param("request") QueryAccidentListRequest request);

}
