package com.tuoheng.admin.request.accident;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 *  事故区域请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-04-14
 */
@Data
public class AccidentRegion {

    /**
     * 经度
     */
    @NotNull(message = "经度不能为空！")
    private String lng;

    /**
     * 纬度
     */
    @NotNull(message = "纬度不能为空！")
    private String lat;

}
