package com.tuoheng.admin.request.accident;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 查询应急列表请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-13
 */
@Data
public class QueryEmergencyListRequest implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 租户id
     */
    private String tenantId;

    private Integer accidentTask;
    /**
     * 应急事故状态
     */
    private List<String> statusList;
}
