package com.tuoheng.admin.request.wx;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/6/26
 */
@Data
public class WxRequest {


    /**
     * 任务id
     */
    private String inspectionId;

    /**
     * 问题id
     */
    private String questionId;

    /**
     * 上报时间
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private String createTime;

    /**
     *问题标题
     */
    private String InspectionName;

    /**
     * 问题描述
     */
    private String questionDesc;
}
