package com.tuoheng.admin.service.accident.forward;

import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.entity.User;
import com.tuoheng.admin.request.accident.AccidentForwardRequest;
import com.tuoheng.common.core.utils.JsonResult;


/**
 * 无人机前往业务层处理
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-04-14
 */
public interface AccidentForwardService {

    /**
     * 无人机前往
     *
     * @return
     */
    JsonResult forward(User user, Accident accident, AccidentForwardRequest request);

}
