package com.tuoheng.admin.service.workorder.generate;

import com.tuoheng.admin.entity.Inspection;
import com.tuoheng.admin.entity.InspectionFile;
import com.tuoheng.common.core.utils.JsonResult;

import java.util.List;

public interface GenerateWorkorderService {

    /**
     * 手动生成工单
     */
    JsonResult generateByManual(List<String> idList);

    /**
     * 自动生成工单
     */
    JsonResult generateByAuto(Inspection inspection, List<InspectionFile> inspectionFileList);

}
