package com.tuoheng.admin.tzhl.config;

import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;

@Data
@Configuration
public class TZHLConfig {

    /**
     * 泰州海陵城管地址
     */
    public static String tzhlURL;

    /**
     * 泰州海陵城管票据
     */
    public static String tzhlTicket;

    /**
     * 南京海事局地址
     *
     * @param url 南京海事局地址
     */
    @Value("${tzhl.url}")
    public void setImageURL(String url) {
        tzhlURL = url;
    }

    /**
     * 泰州海陵城管票据
     *
     * @param ticket 票据
     */
    @Value("${tzhl.ticket}")
    public void setNjhsjUsername(String ticket) {
        tzhlTicket = ticket;
    }

}
