package com.tuoheng.admin.tzhl.constant;

/**
 * 南京海事局平台常量url
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-14-15
 */
public interface TZHLConstant {

    /**
     * 返回成功code
     */
    Integer RESPONSE_SUCCESS_CODE = 200;


    /**
     * reids：token key
     */
    String HL_TOKEN_KEY = "HL_TOKEN";

    /**
     * reids：fly log key
     */
    String HL_FLY_LOG = "HL_FLY_LOG_";

    /**
     * 天翼星云机场平台：票据登录
     */
    String TIAN_YI_API_TICKET_LOGIN = "/prod-api/auth/ticketLogin";

    /**
     * 天翼星云机场平台：获取机场列表
     */
    String TIAN_YI_API_AIRPORT_LIST = "/prod-api/ctuav/openapi/ctuav/v4/shelter/list";

    /**
     * 天翼星云机场平台：航线列表（跟据方舱序列号查询待开发）
     */
    String TIAN_YI_API_FLY_LINE_LIST = "/prod-api/ctuav/openapi/ctuav/v4/flyline/list";

    /**
     * 天翼星云机场平台：下发任务
     */
    String TIAN_YI_API_SHELTER_TASKS = "/prod-api/shelter/task";

    /**
     * 天翼星云机场平台：飞行日志回调
     */
    String TIAN_YI_API_FLIGHT_LOG = "/prod-api/ctuav/mapper/fly/log/listAll";

    /**
     * 天翼星云机场平台：飞行画面
     */
    String TIAN_YI_API_FLIGHT_SCREEN = "/prod-api/ctuav/openapi/ctuav/v4/onlineuav/list";

    /**
     * 天翼星云机场平台:飞行数据
     */
    String TIAN_YI_API_FLIGHT_DATA = "/prod-api/ctuav/openapi/ctuav/v4/flydata/list";

    /**
     * 天翼星云机场信息：气象数据接口
     */
    String TIAN_YI_API_AIRPORT_MSG = "/prod-api/ctuav/openapi/ctuav/v4/shelter/info";


}
