package com.tuoheng.admin.tzhl.request;

import lombok.Data;

/**
 * 飞行日志请求参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-08-11
 */
@Data
public class TZHLFlyLogRequest {

    /**
     * 飞行记录编号
     */
    private Long recordId;

    /**
     * 查询时间(第一次查询时，该字段为空。之后每次查询可带上上一次查询返回的最后一条数据的createTime，即可查询增量的飞行日志。若该字段为空则默认查全量飞行日志)
     */
    private String createTime;

}
