package com.tuoheng.admin.tzhl.request;

import lombok.Data;

/**
 * 获取航线的请求参数
 * @Author ChengWang
 * @Date 2023/8/9
 */
@Data
public class TZHLGetAirportLineListRequest {

    /**
     * 航线名称
     */
    private String name;

    /**
     * 方舱序列号sn
     */
    private String sn;

    /**
     * 航线id
     */
    private Long id;

    /**
     * 航线类型  线状航线  面状航线 带状航线
     */
    private String lineType;

}
