package com.tuoheng.admin.tzhl.response;

import lombok.Data;

/**
 * 飞行画面返回参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-08-11
 */
@Data
public class TZHLOnlineUavResponse {

    /**
     * 无人机编号
     */
    private Long uavId;

    /**
     * 无人机名称
     */
    private String uavName;

    /**
     * 飞行记录编号
     */
    private Long recordId;

    /**
     * 组织编号
     */
    private Long deptId;

    /**
     * 组织名称
     */
    private String deptName;

    /**
     * 播放地址
     */
    private String playUrl;

    /**
     * 推流地址
     */
    private String pushUrl;

}
