package com.tuoheng.admin.tzhl.response;

import lombok.Data;

/**
 * 获取token返回参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-14-15
 */
@Data
public class TZHLTokenResponse {

    /**
     * 状态码
     */
    private Integer code;

    /**
     * 返回信息
     */
    private String msg;

    /**
     * 部门ID
     */
    private Long deptId;

    /**
     * 无人机id
     */
    private Long uavId;

    /**
     * 访问token
     */
    private String token;

    /**
     * 访问token
     */
    private TZHLTokenSettingResponse setting;

}
