package com.tuoheng.admin.vo;

import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2022/11/18
 */
@Data
public class StructureInfoVo {

    /**
     *主键id
     */
    private String id;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 航道id
     */
    private String channelId;

    /**
     * 航段id
     */
    private String legId;

    /**
     * 构造物种类 1桥梁 2涵洞 3通道 4互通 5服务区 6收费站 7匝道 8机场
     */
    private Integer structureType;

    /**
     * 构造物名称
     */
    private String structureName;

    /**
     * 所属航段范围
     */
    private String legRange;

    /**
     *所属航道(航道代号)
     */
    private String code;

    /**
     * 经度
     */
    private String longitude;

    /**
     * 纬度
     */
    private String latitude;

    /**
     * 构造物图片，多个用，拼接
     */
    private String imageUrl;

    /**
     * 所属航道名称
     */
    private String name;


}
