package com.tuoheng.admin.vo.inspection;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @Author ChengWang
 * @Date 2023/4/17
 */
@Data
public class InspectionMessageVo {

    /**
     * 任务名称
     */
    private String name;

    /**
     * 巡检航道名称
     */
    private String channelName;

    /**
     * 算法实例名称
     */
    private String dspServiceName;

    /**
     * 巡检航段名称
     */
    private String legName;

    /**
     * 计划巡检日期
     */
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date inspectionTime;

}
