package com.tuoheng.admin.tzhl;

import com.tuoheng.admin.tzhl.response.TZHLAirportMsgResponse;
import com.tuoheng.admin.tzhl.service.airport.TZHLGetAirportMsgService;
import com.tuoheng.common.core.utils.JsonResult;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Author ChengWang
 * @Date 2023/8/9
 */
@Slf4j
@RunWith(SpringRunner.class)
@SpringBootTest
public class TZHLGetAirportMsgServiceTest {

    @Autowired
    private TZHLGetAirportMsgService tzhlGetAirportMsgService;

    @Test
    public void testGetAirportListTest() {
        String sn = "4TADKCC0010018";
        TZHLAirportMsgResponse response = tzhlGetAirportMsgService.getAirportMsg(sn);
        log.info("获取结果值为result:{}", response);
    }

}
