package com.tuoheng.miniprogram.controller;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.miniprogram.entity.InspectionFileHandle;
import com.tuoheng.miniprogram.entity.dto.UploadResultDto;
import com.tuoheng.miniprogram.service.IInspectionFileHandleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * 巡检问题处理结果  前端控制器
 *
 * @Author ChengWang
 * @Date 2022/11/25
 */
@RestController
@RequestMapping("/inspectionFileHandle")
public class InspectionFileHandleController {

    @Autowired
    private IInspectionFileHandleService iInspectionFileHandleService;

    /**
     * 上传处理结果
     * @param dto
     * @return
     */
    @PostMapping("/uploadResult")
    public JsonResult uploadResult(@RequestBody UploadResultDto dto){
        return iInspectionFileHandleService.uploadResult(dto);
    }



}
