package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 问题类型表
 *
 * @Author ChengWang
 * @Date 2022/11/22
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_question_type")
public class QuestionType extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *编号
     */
    private String code;

    /**
     * 类型名称： 1坑槽，2积水，3裂缝
     */
    private Integer name;

    /**
     * 巡检内容
     */
    private String content;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 是否展示 0:否 1:是
     */
    private Integer isShow;

    /**
     * 事故问题 0:否 1:是
     */
    private Integer accidentQuestion;

}
