package com.tuoheng.miniprogram.param;

import com.tuoheng.miniprogram.entity.dto.TemplateMinDto;
import lombok.Data;

import java.util.Map;

/**
 * @Author ChengWang
 * @Date 2023/6/23
 */
@Data
public class WxSendMessageParam {

    /**
     * 接收者openId
     */
    private String touser;

    /**
     * 订阅模板id
     */
    private String template_id;

    /**
     * 点击模板卡片跳转页面
     */
    private String page;

    /**
     * 跳转小程序类型 developer为开发版；trial为体验版；formal为正式版；默认为正式版
     */
    //private String miniprogram_state;

    /**
     * 填充信息
     */
    private Map<String, TemplateMinDto> data;
}
