package com.tuoheng.common.core.enums;

import lombok.Getter;

/**
 * 请求状态
 *
 * @author chenyukun
 * @date 2022/06/14
 */
public enum HttpStatusEnum {

    NO_RESOURCES(600,"暂无可用的服务资源, 请稍后再试!"),

    ;

    HttpStatusEnum(int code, String description){
        this.code = code;
        this.description = description;
    }

    @Getter
    private int code;

    @Getter
    private String description;
}
