package com.tuoheng.admin.constant;

/**
 * oidc认证平台常量url
 *
 * @Author xiaoying
 * @Date 2022/10/18 10:52
 */
public interface OidcUrlConstant {

    /**
     * 判断username是否已存在
     */
    String USER_JUDGE = "/oidc/admin/user/judge/create/{username}";

    /**
     * 判断username是否已存在
     */
    String USER_CREATE = "/oidc/admin/user/create";

    /**
     * 判断username是否已存在
     */
    String USER_UPDATEPASS = "/oidc/admin/user/updatePass";

    /**
     * 修改用户角色
     */
    String USER_UPDATEROLE = "/oidc/admin/user/updateRole";
}
