package com.tuoheng.admin.constant;

public interface SystemConstant {

    /**
     * 平台code
     */
    String PLATFORM_CODE = "telecomumale";

    /**
     * 顶级部门pid，默认为0
     */
    String ROOT_DEPT_PID = "0";

    String INIT_PASSWORD = "123456";

    /**
     *  高德url地址
     */
    String GAO_DE_URL = "https://restapi.amap.com/v3/geocode/regeo";

    /**
     *  推送微信消息
     */
    String API_WEIXIN_SEND_MESSAGE = "/telecomumale/miniprogram/weiXin/send/message";

    /**
     * 机场平台：获取机场列表接口
     */
   String API_AIRPORT_LIST = "/api/airportInterface/airportList";

    /**
     * 机场平台：获取机场路线列表接口
     */
   String API_AIRPORT_LINE_LIST = "/api/airportInterface/taskByDroneId";

    /**
     * 机场平台：执行接口
     */
    String API_AIRPORT_EXECUTE_TASK = "/api/airportInterface/executeTaskAnsy";

    /**
     * 机场平台：获取天气
     */
    String API_AIRPORT_GET_WEATHER = "/api/airportInterface/getWeather";

    /**
     * 机场平台：控制无人机
     */
    String API_AIRPORT_DRONE_CONTROL = "/api/airportInterface/droneCommand";

    /**
     * 机场平台：定点飞行
     */
    String API_AIRPORT_POINT_FLIGH = "/api/airportInterface/createPointLine";

    /**
     * 机场平台：获取天气温湿度及挂载状态
     */
    String API_AIRPORT_GET_WEATHER_STATUS = "/api/airportInterface/getAirportStatus";

    // 飞手平台不同接口url
    /**
     * 新增任务接口
     */
    String ADD_PILOTTASK = "apiTask/add";

    /**
     * 机场平台：获取机场状态
     */
    String API_AIRPORT_STATUS_BY_AIRPORT_ID = "/api/airportInterface/getAirportStatusByAirportId";

    /**
     * 机场平台：获取航点文件坐标
     */
    String API_AIRPORT_LOCATION = "/api/airportInterface/getLocationById";

}
