package com.tuoheng.admin.dto;

import com.tuoheng.admin.entity.Channel;
import com.tuoheng.admin.entity.Leg;
import lombok.Data;

import java.util.List;

/**
 * 航道航段对应
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-17
 */
@Data
public class ChannelLegDto {

    /**
     * 航道
     */
    private Channel channel;

    /**
     * 航段
     */
    private List<Leg> legList;

}
