package com.tuoheng.admin.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * DSP服务实例表
 * @Author ChengWang
 * @Date 2023/3/2
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_dsp_service_inst")
public class DspServiceInst extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * 服务实例Id
     */
    private String dspServiceInstId;

    /**
     * 服务实例名称
     */
    private String name;

    /**
     * 服务实例描述
     */
    private String description;

    /**
     * 排序
     */
    private Integer sort;

    /**
     * 是否展示：0：否 ；1：是
     */
    private Integer isShow;
    /**
     * 是否默认：0：否 ；1：是
     */
    private Integer isDefault;

}
