package com.tuoheng.admin.query;

import com.tuoheng.common.core.common.BaseQuery;
import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2022/11/18
 */
@Data
public class StructureQuery extends BaseQuery {

    /**
     * 构造物id
     */
    private String id;

    /**
     * 租户id
     */
    private String tenantId;

    /**
     * 构造物名称
     */
    private String structureName;

    /**
     * 构造物种类  1桥梁 2涵洞 3通道 4互通 5服务区 6收费站 7匝道 8机场'
     */
    private Integer structureType;

    /**
     * 航道id
     */
    private String channelId;

    /**
     * 航段id
     */
    private String legId;


}
