package com.tuoheng.admin.request.accident;

import lombok.Data;

/**
 *  无人机前往请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-04-14
 */
@Data
public class AccidentForwardRequest {

    /**
     * 应急事故Id
     */
    private String accidentId;

    /**
     * 无人机前往类型：1：原无人机直接前往；2：新无人机前往；3：手动添加的应急事故，无人机前往；
     */
    private Integer droneForwardType;

    /**
     * 机场Id
     */
    private Long airportId;

    /**
     * 机场名称
     */
    private String airportName;

    /**
     * 无人机Id
     */
    private Integer droneId;

    /**
     * 算法实例ID
     */
    private String dspServiceInstId;

    /**
     * 应急任务关联数据任务ID
     */
    private String emergencyDataInspectionId;
}
