package com.tuoheng.admin.request.accident;

import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 *  航线请求实体
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-04-14
 */
@Data
public class AirportRoute {

    /**
     * 飞行高度
     */
    @NotNull(message = "飞行高度不能为空！")
    private String altitude;

    /**
     * 经度
     */
    @NotNull(message = "经度不能为空！")
    private String lng;

    /**
     * 纬度
     */
    @NotNull(message = "纬度不能为空！")
    private String lat;

}
