package com.tuoheng.admin.request.third;

import lombok.Data;

import java.util.Date;

/**
 * 新增部门请求参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-12-02
 */
@Data
public class PilotTaskRequest {

    /**
     * 任务编码
     */
    private String taskCode;

    /**
     * 任务名称
     */
    private String taskName;

    /**
     * 租户名称
     */
    private String tenantName;

    /**
     * 巡逻地点
     */
    private String patrolLocation;

    /**
     * 平台编码
     */
    private String platformCode;
    /**
     * 发起人名称
     */
    private String sponsorName;

    /**
     * 发起人手机号
     */
    private String sponsorPhone;

    /**
     * 任务执行时间（期望巡检时间）
     */
    private Date taskStartTime;

    /**
     * 备注
     */
    private String remark;

    /**
     * 是否直播 0否，1是
     */
    private Integer isLive;

    /**
     * 起点纬度
     */
    private String startLatitude;

    /**
     * 起点经度
     */
    private String startLongitude;

    /**
     *终点经度
     */
    private String endLongitude;

    /**
     * 终点纬度
     */
    private String endLatitude;

    /**
     * 巡检类型 1.自营飞行计划
     */
    private Integer inspectionType;
    /**
     * 租户username
     */
    private String tenantUserName;


}
