package com.tuoheng.admin.service.accident.forward.check;

import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.request.accident.AccidentForwardRequest;
import com.tuoheng.common.core.utils.JsonResult;

public class DroneForwardCheckParamContext {

    private DroneForwardCheckParamStrategy droneForwardCheckParamStrategy;

    public DroneForwardCheckParamContext(DroneForwardCheckParamStrategy droneForwardCheckParamStrategy){
        this.droneForwardCheckParamStrategy = droneForwardCheckParamStrategy;
    }

    //  回调策略的方法
    public JsonResult check(AccidentForwardRequest request, Accident accident){
        return droneForwardCheckParamStrategy.check(request, accident);
    }

}
