package com.tuoheng.admin.service.accident.forward.check;

import cn.hutool.core.util.ObjectUtil;
import com.tuoheng.admin.entity.Accident;
import com.tuoheng.admin.request.accident.AccidentForwardRequest;
import com.tuoheng.common.core.exception.ServiceException;
import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.common.core.utils.StringUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

/**
 * 手动创建应急事故，派无人机前往业务层判断参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-05-08
 */
@Slf4j
@Service("newDroneForwardCheckParamStrategy")
public class NewDroneForwardCheckParamStrategy implements DroneForwardCheckParamStrategy {

    @Override
    public JsonResult check(AccidentForwardRequest request, Accident accident) {
        return JsonResult.success();
    }

}
