package com.tuoheng.admin.tzhl.response;

import lombok.Data;

/**
 * @Author ChengWang
 * @Date 2023/8/12
 */
@Data
public class TZHLAirportMsgResponse {

    /**
     * 环境温度 单位":"°C"
     */
    private Float environmentTemperature;

    /**
     * 降雨量（"0":"无雨","1":"小雨","2":"中雨","3":"大雨"）
     */
    private Integer rainfall;

    /**
     * 电量百分比
     */
    private Integer capacityPercent;

    /**
     *  舱内温度 单位":"°C"
     */
    private Float temperature;

    /**
     *  舱内湿度 单位":"%RH"
     */
    private Integer humidity;

    /**
     * 风速 单位:"m/s"
     */
    private Float windSpeed;

}
