package com.tuoheng.admin.tzhl.response;

import lombok.Data;

/**
 * 飞行日志返回参数
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-08-11
 */
@Data
public class TZHLFlyLogResponse {

    /**
     * 主键id
     */
    private Long id;

    /**
     * 飞行记录编号
     */
    private Long recordId;

    /**
     * 状态（success、error、normal）
     */
    private String status;

    /**
     * 标题
     */
    private String title;

    /**
     * 内容
     */
    private String content;

    private String searchValue;

    private String createBy;

    private String createTime;

    private String createTimeFrom;

    private String createTimeTo;

    private String updateBy;

    private String updateTime;

    private String remark;

}
