package com.tuoheng.admin.vo.accident;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 巡检任务 新增或修改请求参数 2022/7/27
 *
 * @author : qiujinyang
 */
@Data
public class EmergencyMissionVO implements Serializable {
    private static final long serialVersionUID = 1L;

    private String id;

    private String code;

    private String name;

    private Integer inspectionType;

    private Integer airportId;

    private String airportName;
    /**
     * 任务飞行状态：1任务待飞行 2任务飞行中 3任务执行失败 4任务飞行完成
     */
    private String airportStatus;

    private Integer inspectionLine;

    private String inspectionLineName;

    private Integer droneId;

    private String droneName;

    private String mileage;

    private Integer type;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionStartTime;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date executionEndTime;

    //直播的两个通道
    private String pullUrl;
    private String aipullUrl;


    //直播的视频地址
    private String playUrl;
    private String aiplayUrl;

    //回放视频的两个地址
    private String videoUrl;
    private String aiVideoUrl;

    private Integer status;

    private Integer reportStatus;

    private String note;

    private String createUser;

    private String flyTime;
    private String tenantId;

}
