package com.tuoheng.admin.vo.airport;

import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * 航线坐标视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2023-02-07
 */
@NoArgsConstructor
@Data
public class AirPortLineLocationVo implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 经度
     */
    private String lon;

    /**
     * 纬度
     */
    private String lat;


}
