package com.tuoheng.admin.vo.dept;

import com.tuoheng.admin.dto.ChannelLegDto;
import lombok.Data;

import java.util.List;

/**
 *  返回部门树形列表视图Vo
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-19
 */
@Data
public class DeptInfoVo {

    private static final long serialVersionUID = 1L;

    /**
     * 主键ID
     */
    private String id;

    /**
     * 租户ID
     */
    private String tenantId;

    /**
     * 部门名称
     */
    private String name;

    /**
     * 上级ID
     */
    private String pid;

    /**
     * 上级部门名称
     */
    private String pname;

    /**
     * 航道，航段数据
     */
    private List<ChannelLegDto> channelLegDtoList;

    /**
     * 用户数
     */
    private Integer userCount;

    /**
     * 子部门数
     */
    private Integer childDeptCount;

}
