package com.tuoheng.miniprogram.constant;

/**
 * oidc认证平台常量url
 * @Author xiaoying
 * @Date 2022/10/18 10:52
 */
public class OidcUrlConstant {

    /**
     * 判断username是否已存在
     */
    public static String USER_JUDGE = "/oidc/admin/user/judge/create/{username}";
    /**
     * 创建用户
     */
    public static String USER_CREATE = "/oidc/admin/user/create";
    /**
     * 修改用户密码
     */
    public static String USER_UPDATEPASS = "/oidc/admin/user/updatePass";
    /**
     * 修改用户角色
     */
    public static String USER_UPDATEROLE = "/oidc/admin/user/updateRole";
}
