package com.tuoheng.miniprogram.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.tuoheng.common.core.common.BaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * @Author ChengWang
 * @Date 2022/11/16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@Accessors(chain = true)
@TableName("th_user_authorize")
public class UserAuthorize extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     *用户id
     */
    private String userId;

    /**
     * 用户的openId
     */
    private String openId;

    /**
     * 唯一标识
     */
    private String unionId;

    /**
     * accessToken值(先不存)
     */
    private String accessToken;

}
