package com.tuoheng.miniprogram.service;

import com.tuoheng.common.core.utils.JsonResult;
import com.tuoheng.miniprogram.entity.wx.WxMessageRequest;

/**
 * @Author ChengWang
 * @Date 2023/6/23
 */
public interface IWxService {

    /**
     * 根据code获取openId
     * @param code
     * @return
     */
    JsonResult openid(String code);

    /**
     * 发送消息
     * @param wxMessageRequest
     * @return
     */
    JsonResult sendMessage(WxMessageRequest wxMessageRequest);

}
